Bug 460632 - Review Request: ratbox-services - Service package for ircd-ratbox
Review Request: ratbox-services - Service package for ircd-ratbox
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
http://mmahut.fedorapeople.org/review...
:
Depends On: 460538
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-29 06:11 EDT by Marek Mahut
Modified: 2008-09-02 06:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-02 06:20:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lkundrak: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marek Mahut 2008-08-29 06:11:22 EDT
Spec URL: http://mmahut.fedorapeople.org/reviews/ratbox-services/ratbox-services.spec
SRPM URL: http://mmahut.fedorapeople.org/reviews/ratbox-services/ratbox-services-1.2.1-1.fc8.src.rpm
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=792880
Description: ratbox-services is a services package written mostly from
scratch for use with ircd-ratbox. It is highly configurable,
with nearly all options being set in a config that can be
rehashed rather than set at compile time. It also uses the
SQLite database backend, which works as a database interface
to a normal file, meaning no seperate database software must be running.

It builds againts el5 too.

rpmlint party that need explanation:
 non-standard-gid - group ircd needs to operate w/ files
 unversioned-explicit-provides - do not need versioning
 strange-permission ratbox-services.conf 0640 - this is ok, it contains a  password
 strange-permission ratbox-services.init 0755 - ok too
 non-standard-dir-perm /usr/share/ratbox-services/* - only ircd group should  access these
 script-without-shebang /usr/share/ratbox-services/schemas/schema-*.txt - not a  script
 non-standard-uid /var/log/ratbox-services ircd - logging is done by service  running under ircd
 non-standard-executable-perm /usr/bin/dbupgrade.pl - sames applies, only for ircd...
Comment 1 Lubomir Rintel 2008-08-29 08:52:24 EDT
0.) You may want to rename it

I'm not sure if it is usable only with ircd-ratbox, or other ircds. In case it cannot be used with other ircds, name ircd-ratbox-services is much more appropriate.

1.) Do not depend on sendmail

Requires: sendmail

Replace with /usr/bin/sendmail or MTA or smtpdaemon, depending on ho do you use sendmail.

2.) Explain non-obvious commands

sed 's/-Werror//g' -i configure

What's this? Comment it.

Provides:       perl(definetolength.pl)

And this?

3.) Fix owners/groups

%config(noreplace) %{_sysconfdir}/logrotate.d/ratbox-services

At least this is not to be owned by ircd. Change %defattr to use root by default and override in %attr-s.

Furthermore, files that contain password should not be world-readable.
Comment 2 Lubomir Rintel 2008-08-29 08:53:59 EDT
You may want to rename this: /usr/bin/dbupgrade.pl
Comment 3 Marek Mahut 2008-08-29 10:42:44 EDT
Thank you for initial review,

(In reply to comment #1)
> 0.) You may want to rename it
> 
> I'm not sure if it is usable only with ircd-ratbox, or other ircds. In case it
> cannot be used with other ircds, name ircd-ratbox-services is much more
> appropriate.

Would it make confusion? I'm not very big fun of delaying the original upstream name, if people find on the upstream page the product is called ratbox-services, it should be the same in Fedora (imo). It can be also used with hybrid ircd.

> 1.) Do not depend on sendmail
> 
> Requires: sendmail
> 
> Replace with /usr/bin/sendmail or MTA or smtpdaemon, depending on ho do you use
> sendmail.

Done.

> 2.) Explain non-obvious commands
> 
> sed 's/-Werror//g' -i configure

We remove usage of -Werror from flags. Once we have all ratbox packages in, I'll inform upstream including patches about it. Comment made in spec file

> What's this? Comment it.
> 
> Provides:       perl(definetolength.pl)
> 
> And this?

Removed.

> 3.) Fix owners/groups
> 
> %config(noreplace) %{_sysconfdir}/logrotate.d/ratbox-services
> 
> At least this is not to be owned by ircd. Change %defattr to use root by
> default and override in %attr-s.

You're right, done.

> Furthermore, files that contain password should not be world-readable.

Done.

New SRPM is uploaded.
Comment 4 Lubomir Rintel 2008-08-31 12:57:14 EDT
Seems well, marek; Thanks!

APPROVED
Comment 5 Marek Mahut 2008-09-01 09:29:56 EDT
Thank you.

New Package CVS Request
=======================
Package Name: ratbox-services
Short Description: Service package for ircd-ratbox
Owners: mmahut
Branches: F-9 EL-5
Comment 6 Kevin Fenzi 2008-09-01 17:10:37 EDT
cvs done.
Comment 7 Marek Mahut 2008-09-02 06:20:04 EDT
Thank you!!

Note You need to log in before you can comment on or make changes to this bug.